package com.tencent.liteav.demo.superplayer.database.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity
data class Record(
    @PrimaryKey
    var aiCourseItemId: String,

    @ColumnInfo(name = "intervals")
    val intervals: String,

    @ColumnInfo(name = "lastTime")
    val lastTime: Long,

    @ColumnInfo(name = "validDuration")
    val validDuration: Long,

    @ColumnInfo(name = "courseId")
    val courseId: String,
)