package com.tencent.liteav.demo.player.http

import com.tencent.liteav.demo.player.util.ModelCourse
import com.tencent.liteav.demo.superplayer.database.entity.History
import retrofit2.http.Body
import retrofit2.http.Field
import retrofit2.http.POST

interface CourseApi {
    @POST("aiCourse/collect")
    suspend fun favoriteCourse(
        @Body data: Map<String, String>,
    ): HttpResult<Int>

    @POST("v1/AICourse/item/read/record/v1")
    suspend fun uploadHistory(
        @Body data: List<@JvmSuppressWildcards ModelCourse.Records>,
    ): HttpResult<Int>
}